#### D.13.2.53 ncones

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  ncones(f); f fan

Return:
  int, the number of cones in f

Example:

    LIB "gfan.lib";
    fan f=emptyFan(3);
    ncones(f);
    ==> 0
    intmat M1[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone c1=coneViaPoints(M1);
    insertCone(f,c1);
    ncones(f);
    ==> 8
    intmat M2[2][3]=
    1,0,0,
    0,-1,0;
    cone c2=coneViaPoints(M2);
    insertCone(f,c2);
    ncones(f);
    ==> 10

User manual for Singular version 4.4.1, 2025, generated by texi2html.